> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all the affiliation Cashbacks

> Lists the Affiliation Cashbacks of the Program with details (amount, Transaction parameters, fee amount, dates, ...).



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.2/m2m.json get /connectors/m2m/reports/affiliation/cashbacks
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.2
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/reports/affiliation/cashbacks:
    get:
      tags:
        - Affiliation Cashback
      summary: Get all the affiliation Cashbacks
      description: >-
        Lists the Affiliation Cashbacks of the Program with details (amount,
        Transaction parameters, fee amount, dates, ...).
      parameters:
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - updated_at
              - '-updated_at'
            type: string
        - description: Filter by updated_at
          in: query
          name: updated_at
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: >-
                        #/components/schemas/AffiliationCashbackM2MDetailedReport
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    AffiliationCashbackM2MDetailedReport:
      properties:
        amount: {}
        brand_id: {}
        brand_name: {}
        brand_reference: {}
        cancellation_reason: {}
        cancelled_date: {}
        consumer_cancelled_date: {}
        consumer_id: {}
        consumer_paid_date: {}
        consumer_pooled_date: {}
        consumer_status: {}
        consumer_validation_date: {}
        created_at: {}
        fees: {}
        id: {}
        offer_id: {}
        offer_name: {}
        offer_reference: {}
        paid_in_date: {}
        paid_out_date: {}
        pending_validation_date: {}
        playground: {}
        segments: {}
        status: {}
        strategy_id: {}
        strategy_reference: {}
        transaction_amount: {}
        transaction_executed_at: {}
        transaction_external_id: {}
        transaction_id: {}
        updated_at: {}
        validated_date: {}
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````